8.0-8.2 compatibility issues?



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 19/01/2005 at 09:35, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   8.200 
    Platform:   Windows  ; Mac  ;  Mac OSX  ; 
    Language(s) :     C++  ;

    ---------
    Howdy,

    I've managed to get the 8.2 API for PC compiled using VC++.net (with help from kuroyume0161), but my plugin only runs on 8.2 and not 8.0. Are there any compatibility issues between 8.0 and 8.2 that would cause an 8.2 compiled plugin not to run on 8.0?

    On start up, the plugin shows up in the splash screen as Initializing, but doesn't appear in any of the menus. There are only two types of plugin classes used in my plugin suite: CommandData and TagData. I didn't see anything in the API Changes list in the 8.2 SDK documentation that would pertain to my plugin's code.

    Any ideas?

    Adios,
    Cactus Dan



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 19/01/2005 at 12:22, xxxxxxxx wrote:

    Hi there,

    I have the same problem here. I want to offer my plugin to users of c4d 8.0 & 8.1, but I only have cinema4d 8.2 with upgrade to 8.5 here at my school, so I can´t build a plugin for older versions :-(. Is there a way to get older SDK´s (8.0) to support users with older versions of C4D?

    Greetings

    Philipp



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 19/01/2005 at 17:04, xxxxxxxx wrote:

    Hi gentlemen,

    Mikael (et al) will tell you that there is no need to support 8.0-8.1 since 8.2 is a free upgrade. But, imho, it is a good idea since there are those who do actually still use these versions, as you can testify no doubt. This is why my plugin supports 8.0 on Windows (could not get it to work on Mac, so opted for 8.2).

    For Windows, I could always zip up my 8.012 SDK and pass it along. The original, untouched SDK that shipped with 8.0 was, how do we say it nicely precious, in a shambles and required changing line endings across the entire Resouce folder among other caveats before it would compile in VC++.

    Let me know if you like the ideer and I'll put it someplace discreetly on my website for you to download. Might just ask about the legality of that (and then make it visibly available if Maxon doesn't mind).

    Robert


Log in to reply